summaryrefslogtreecommitdiff
path: root/addons/x11phonehome/etc/init.d/local-phonehome
diff options
context:
space:
mode:
Diffstat (limited to 'addons/x11phonehome/etc/init.d/local-phonehome')
-rwxr-xr-xaddons/x11phonehome/etc/init.d/local-phonehome102
1 files changed, 102 insertions, 0 deletions
diff --git a/addons/x11phonehome/etc/init.d/local-phonehome b/addons/x11phonehome/etc/init.d/local-phonehome
new file mode 100755
index 0000000..4b8ebfa
--- /dev/null
+++ b/addons/x11phonehome/etc/init.d/local-phonehome
@@ -0,0 +1,102 @@
+#! /bin/sh
+#
+# local-phonehome
+#
+# Author: Jonas Smedegaard <dr@jones.dk>
+#
+
+set -e
+
+PATH=/usr/local/sbin:/usr/local/bin:/sbin:/bin:/usr/sbin:/usr/bin
+DESC="PhoneHome daemons"
+NAME=phonehome
+DAEMON=/usr/sbin/$NAME
+PIDFILE=/var/run/$NAME.pid
+SCRIPTNAME=/etc/init.d/$NAME
+
+# Gracefully exit if the package has been removed.
+#test -x $DAEMON || exit 0
+
+# Read config file if it is present.
+#if [ -r /etc/default/$NAME ]
+#then
+# . /etc/default/$NAME
+#fi
+
+#
+# Function that starts the daemon/service.
+#
+d_start() {
+# start-stop-daemon --start --quiet --pidfile $PIDFILE \
+# --exec $DAEMON
+ killall Xorg -wq || /bin/true
+ /usr/local/bin/launch-x11
+ sleep 5
+ /usr/local/bin/launch-unclutter
+ /usr/bin/motion
+}
+
+#
+# Function that stops the daemon/service.
+#
+d_stop() {
+# start-stop-daemon --stop --quiet --pidfile $PIDFILE \
+# --name $NAME
+ /usr/bin/killall TERM motion || /bin/true
+ /usr/local/bin/launch-unclutter -k || /bin/true
+ /usr/local/bin/launch-x11 -k || /bin/true
+ killall Xorg -wq || /bin/true
+}
+
+#
+# Function that sends a SIGHUP to the daemon/service.
+#
+#d_reload() {
+# start-stop-daemon --stop --quiet --pidfile $PIDFILE \
+# --name $NAME --signal 1
+#}
+
+case "$1" in
+ start)
+ echo -n "Starting $DESC: $NAME"
+ d_start
+ echo "."
+ ;;
+ stop)
+ echo -n "Stopping $DESC: $NAME"
+ d_stop
+ echo "."
+ ;;
+ #reload)
+ #
+ # If the daemon can reload its configuration without
+ # restarting (for example, when it is sent a SIGHUP),
+ # then implement that here.
+ #
+ # If the daemon responds to changes in its config file
+ # directly anyway, make this an "exit 0".
+ #
+ # echo -n "Reloading $DESC configuration..."
+ # d_reload
+ # echo "done."
+ #;;
+ restart|force-reload)
+ #
+ # If the "reload" option is implemented, move the "force-reload"
+ # option to the "reload" entry above. If not, "force-reload" is
+ # just the same as "restart".
+ #
+ echo -n "Restarting $DESC: $NAME"
+ d_stop
+ sleep 1
+ d_start
+ echo "."
+ ;;
+ *)
+ # echo "Usage: $SCRIPTNAME {start|stop|restart|reload|force-reload}" >&2
+ echo "Usage: $SCRIPTNAME {start|stop|restart|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0